body {
  background: #0c0f10;
  color: #fff;
  margin: 0;
  padding: 0;
}

#root {
  width: 100vw;
  min-height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

canvas {
  user-select: none;
  cursor: none;
  width: 500px;
  height: 500px;
  background: #000;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 100;
  mix-blend-mode: screen;
  mix-blend-mode: difference;
  mix-blend-mode: screen;
}

.canvas-container {
  position: relative;
  width: 500px;
  height: 500px;
  background: #000;
  overflow: hidden;
}

.canvas-container .cursor {
  width: 5px;
  height: 5px;
  position: absolute;
  top: 100px;
  left: 100px;
  background: #fff;
  /* border: 1px solid #ff5b45; */
  z-index: 99;
}

.canvas-container .cursor.painting {
  /* background: black; */
}

svg {
  cursor: none;
}

.pixel:hover:not(:active) {
  fill: #aaa;
}

.spacer {
  flex-grow: 1;
}

.controls {
  width: 500px;
  display: flex;
  padding: 15px 0 7px 0;
  align-items: flex-start;
}

.logo {
  height: 25px;
  user-select: none;
}
.no-1 {
  height: 25px;
}

.swatches {
  display: flex;
}

.swatch.one::after {
  position: absolute;
  content: '';
  top: 5px;
  left: 5px;
  width: 7px;
  height: 15px;
  background: url(no-1.png);
  background-size: contain;
  background-repeat: no-repeat;
}

.swatch.two::after {
  position: absolute;
  content: '';
  top: 5px;
  left: 5px;
  width: 7px;
  height: 15px;
  background: url(no-2.png);
  background-size: contain;
  background-repeat: no-repeat;
}

.swatch {
  position: relative;
  width: 50px;
  height: 50px;
  margin: 0;
  transition: all 120ms ease-in-out;
  cursor: pointer;
}

.swatch::before {
  transition: all 120ms ease-in-out;
  border-radius: 100%;
  border: 3px solid rgba(255,255,255,.75);
  background: rgba(255,255,255,.25);
  opacity: 1;
}

.swatch:nth-child(4n-3)::before {
  border: 3px solid rgba(0,0,0,.25);
  background: rgba(0,0,0,.05);
}

.swatch:hover::before {
  position: absolute;
  content: '';
  top: 50%;
  left: 50%;
  width: 0px;
  height: 0px;
  transform: translate(-50%,-50%);
  opacity: 0;
}
.swatch.active::before {
  position: absolute;
  content: '';
  top: 50%;
  left: 50%;
  width: 20px;
  height: 20px;
  transform: translate(-50%,-50%);
  opacity: 1;
}

.swatch.black {
  background: #000;
}
.swatch.white {
  background: #fff;
}
.swatch.flip {
  background: url(flip.png);
  background-size: cover;
}
.save {
  height: 30px;
  width: 30px;
  cursor: pointer;
  background: url(save.png);
  background-size: cover;
}
.save:hover {
  background: url(saving.png);
  background-size: cover;
}
.instructions {
  height: 50px;
}